Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cms
Class DigestedData

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cms.DigestedData

All Implemented Interfaces:
  ASN1Value

public class DigestedData
extends java.lang.Object
implements ASN1Value

Inner Class Summary
`static class` | `DigestedData.Template` A Template for decoding BER-encoded DigestData items.

Field Summary
`private ContentInfo` | `contentInfo`
`private OCTET_STRING` | `digest`
`private AlgorithmIdentifier` | `digestAlgorithm`
`private SEQUENCE` | `sequence`
`private static Tag` | `TAG`
`private INTEGER` | `version`

Constructor Summary
`private` | `DigestedData()`
`` | `DigestedData(INTEGER version, AlgorithmIdentifier digestAlgorithm, ContentInfo contentInfo, OCTET_STRING digest)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`ContentInfo` | `getContentInfo()`
`OCTET_STRING` | `getDigest()`
`AlgorithmIdentifier` | `getDigestAlgorithm()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`INTEGER` | `getVersion()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### version

    private INTEGER version

### digestAlgorithm

    private AlgorithmIdentifier digestAlgorithm

### contentInfo

    private ContentInfo contentInfo

### digest

    private OCTET_STRING digest

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

Constructor Detail

### DigestedData

    private DigestedData()

### DigestedData

    public DigestedData(INTEGER version,
                        AlgorithmIdentifier digestAlgorithm,
                        ContentInfo contentInfo,
                        OCTET_STRING digest)

Method Detail

### getVersion

    public INTEGER getVersion()

### getDigestAlgorithm

    public AlgorithmIdentifier getDigestAlgorithm()

### getContentInfo

    public ContentInfo getContentInfo()

### getDigest

    public OCTET_STRING getDigest()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD